package net.t2code.lib.Spigot.Lib.messages;

import net.md_5.bungee.api.chat.ClickEvent;
import net.md_5.bungee.api.chat.TextComponent;
import net.t2code.lib.Spigot.Lib.update.UpdateAPI;
import net.t2code.lib.Spigot.system.Main;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.plugin.Plugin;

import java.util.List;
import java.util.logging.Level;

public class T2CodeTemplate {
    public static Long onLoadHeader(String prefix, List autor, String version, String spigot, String discord) {
        Long long_ = Long.valueOf(System.currentTimeMillis());
        //  send.console(prefix +" §4===================== " + prefix + " §4=====================");
        send.console(prefix + " §4  _______ §7___   §4_____ ");
        send.console(prefix + " §4 |__   __|§7__ \\ §4/ ____|");
        send.console(prefix + " §4    | |   §7  ) §4| |     ");
        send.console(prefix + " §4    | |   §7 / /§4| |     ");
        send.console(prefix + " §4    | |   §7/ /_§4| |____ ");
        send.console(prefix + " §4    |_|  §7|____|§4\\_____|");
        send.console(prefix + " §4    §e------------------");
        send.console(prefix + " §4    §e| §2Autor: §6" + String.valueOf(autor).replace("[", "").replace("]", ""));
        send.console(prefix + " §4    §e| §2Version: §6" + version);
        send.console(prefix + " §4    §e| §2Spigot: §6" + spigot);
        send.console(prefix + " §4    §e| §2Discord: §6" + discord);
        send.console(prefix + " §4    §e-------------------");
        if (version.toLowerCase().contains("dev") || version.toLowerCase().contains("snapshot") || version.toLowerCase().contains("beta")) {
            send.console(prefix + " §eYou are running §4" + version + " §eof " + prefix + "§e! Some features may not be working as expected. Please report all bugs here: http://dc.t2code.net §4UpdateChecker & bStats may be disabled!");
            send.console(prefix + " §4    §e-------------------");
            try {
                Thread.sleep(5000);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
        //onLoadSeparateStroke(prefix);
        return long_;
    }

    public static Long onLoadHeader(String prefix) {
        Long long_ = Long.valueOf(System.currentTimeMillis());
        send.console(prefix + "§4===================== " + prefix + " §4=====================");
        return long_;
    }

    public static void onLoadSeparateStroke(String prefix) {
        send.console(prefix + " §8-------------------------------");
    }

    public static void onLoadFooter(String prefix, Long long_, String version) {
        onLoadSeparateStroke(prefix);
        send.console(prefix + " §2Plugin loaded successfully." + " §7- §e" + (System.currentTimeMillis() - long_.longValue()) + "ms");
        //  send.console(prefix +" §4===================== " + prefix + "§4=====================");
    }

    public static void onLoadFooter(String prefix, Long long_) {
        onLoadSeparateStroke(prefix);
        send.console(prefix + " §2Plugin loaded successfully." + " §7- §e" + (System.currentTimeMillis() - long_.longValue()) + "ms");
        // send.console(prefix +" §4===================== " + prefix + "§4=====================");
    }

    public static void onDisable(String prefix, List autor, String version, String spigot, String discord) {
        //send.console(prefix + "§4===================== " + prefix + " §7- §6" + version + " §4=====================");
        //send.console(prefix + " §2Autor: §6" + String.valueOf(autor).replace("[", "").replace("]", ""));
        //send.console(prefix + " §2Version: §6" + version);
        //send.console(prefix + " §2Spigot: §6" + spigot);
        //send.console(prefix + " §2Discord: §6" + discord);
        //send.console(prefix + " §4Plugin successfully disabled.");
        //send.console(prefix + "§4===================== " + prefix + " §7- §6" + version + " §4=====================");
        send.console(prefix + " §2Version: §6" + version);
        send.console(prefix + " §4Plugin successfully disabled.");
    }

    public static void sendInfo(CommandSender sender, String prefix, String spigot, String discord, List autor, String pluginVersion, String publicVersion) {
        send.sender(sender, prefix + "§4======= " + prefix + " §4=======");
        send.sender(sender, prefix + " §2Autor: §6" + String.valueOf(autor).replace("[", "").replace("]", ""));

        if (publicVersion.equalsIgnoreCase(pluginVersion)) {
            send.sender(sender, prefix + " §2Version: §6" + pluginVersion);
        } else {
            if (sender instanceof Player) {
                Player player = (Player) sender;
                UpdateAPI.sendUpdateMsg(prefix, spigot, discord, pluginVersion, publicVersion, player);
            }
        }
        send.sender(sender, prefix + " §2Spigot: §6" + spigot);
        send.sender(sender, prefix + " §2Discord: §6" + discord);
        send.sender(sender, prefix + "§4======= " + prefix + " §4=======");
    }


}
