package net.t2code.lib.Spigot.Lib.plugins;

import net.t2code.lib.Spigot.system.Main;
import org.bukkit.Bukkit;
import org.bukkit.plugin.Plugin;

import java.util.logging.Level;

public class PluginCheck {
    public static Boolean pluginCheck(String pluginName){
        return Bukkit.getPluginManager().getPlugin(pluginName) != null;
    }
    public static Plugin pluginInfos(String pluginName){
        return Bukkit.getPluginManager().getPlugin(pluginName);
    }
    public static Boolean papi(){
         return Bukkit.getPluginManager().getPlugin("PlaceholderAPI") != null;
    }
    public static Boolean vault(){
         return Bukkit.getPluginManager().getPlugin("Vault") != null;
    }
    public static Boolean plotSquared(){
         return Bukkit.getPluginManager().getPlugin("PlotSquared") != null;
    }
    public static Boolean plugManGUI(){
         return Bukkit.getPluginManager().getPlugin("PlugManGUI") != null;
    }
    public static Boolean cmi(){
         return Bukkit.getPluginManager().getPlugin("CMI") != null;
    }


    /**
     * T2Code Plugins
     * @return
     */
    public static Boolean cgui(){
         return Bukkit.getPluginManager().getPlugin("CommandGUI") != null;
    }
    public static Boolean plotSquaredGUI(){
         return Bukkit.getPluginManager().getPlugin("PlotSquaredGUI") != null;
    }
    public static Boolean wbs(){
         return Bukkit.getPluginManager().getPlugin("WonderBagShop") != null;
    }
    public static Boolean opSec(){
         return Bukkit.getPluginManager().getPlugin("OPSecurity") != null;
    }
    public static Boolean papiTest(){
         return Bukkit.getPluginManager().getPlugin("PaPiTest") != null;
    }
    public static Boolean booster(){
         return Bukkit.getPluginManager().getPlugin("Booster") != null;
    }
    public static Boolean antiMapCopy(){
         return Bukkit.getPluginManager().getPlugin("AAntiMapCopy") != null;
    }
    public static Boolean loreEditor(){
         return Bukkit.getPluginManager().getPlugin("LoreEditor") != null;
    }
    public static Boolean t2cAlias(){
         return Bukkit.getPluginManager().getPlugin("T2C-Alias") != null;
    }
    public static Boolean t2cWarp(){
         return Bukkit.getPluginManager().getPlugin("T2C-Warp") != null;
    }

    public static Boolean pluginNotFound(Plugin plugin, String prefix, String pl, Integer spigotID) {
        if (Bukkit.getPluginManager().getPlugin(pl) == null) {
            plugin.getLogger().log(Level.SEVERE, "Plugin can not be loaded!");
            Bukkit.getConsoleSender().sendMessage(prefix + " §e" + pl + " §4could not be found. Please download it here: " +
                    "§6https://spigotmc.org/resources/" + pl + "." + spigotID + " §4to be able to use this plugin.");
            Main.plugin.getPluginLoader().disablePlugin(Main.plugin);
            return true;
        } else return false;
    }
}
